Automation
Look up Event and Schedule definitions.
Searches current definitions by a literal name fragment with shared name/type/UID ordering and pagination. Does not read Jobs or occurrence history. ROLES: AUTOMATION_READ, AUTOMATION_ADMIN. USER: true. SERVICE ACCOUNT: true.
GET
/
api
/
v1
/
automation
/
trigger
Look up Event and Schedule definitions.
curl --request GET \
--url https://api.revoengine.com/api/v1/automation/trigger \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/automation/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/automation/trigger"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"triggerRef": "<string>",
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"requestedFrom": "EVENT"
}
],
"results": 123,
"next": true
}Authorizations
Bearer JWT token or API Key (sk-*).
Query Parameters
Case-insensitive literal name fragment across Event and Schedule definitions.
Maximum string length:
200Required range:
1 <= x <= 100Required range:
x >= 0Include soft-deleted definitions when browsing deleted resources.
⌘I
Look up Event and Schedule definitions.
curl --request GET \
--url https://api.revoengine.com/api/v1/automation/trigger \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/automation/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/automation/trigger"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"triggerRef": "<string>",
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"requestedFrom": "EVENT"
}
],
"results": 123,
"next": true
}
